diff --git a/server/include/Arbiter.h b/server/include/Arbiter.h
index a9533f5..56564f5 100644
--- a/server/include/Arbiter.h
+++ b/server/include/Arbiter.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <string>
@@ -38,75 +38,69 @@
 #include <boost/shared_ptr.hpp>
 #include <vector>
 
-class Arbiter{
+class Arbiter {
 public:
-    Arbiter(std::string audio_output);
-    ~Arbiter();
+	Arbiter(std::string audio_output);
+	~Arbiter();
 
-    void arbitrate();
+	void arbitrate();
 
-    void set_default_emotion(EmotionState e);
-    void set_current_emotion(EmotionState e);
-    void set_mouth_config(MouthConfig m);
-    void speak(boost::shared_ptr<Utterance> u);
-    bool speak_active();
+	void set_default_emotion(EmotionState e);
+	void set_current_emotion(EmotionState e);
+	void set_mouth_config(MouthConfig m);
+	void speak(boost::shared_ptr<Utterance> u);
+	bool speak_active();
 
-    void set_gaze_target(humotion::GazeState g);
-    void set_mouth_target(humotion::MouthState target);
-    void play_animation(boost::shared_ptr<Animation> ani);
+	void set_gaze_target(humotion::GazeState g);
+	void set_mouth_target(humotion::MouthState target);
+	void play_animation(boost::shared_ptr<Animation> ani);
 
-    humotion::GazeState  get_gaze_state();
-    humotion::MouthState get_mouth_state();
+	humotion::GazeState get_gaze_state();
+	humotion::MouthState get_mouth_state();
 
 private:
-    void override_by_emotion();
-    void override_by_gaze();
-    void override_by_animation();
-    void override_by_utterance();
-    void override_by_mouth();
+	void override_by_emotion();
+	void override_by_gaze();
+	void override_by_animation();
+	void override_by_utterance();
+	void override_by_mouth();
 
-    humotion::GazeState soft_overblend_gaze(humotion::GazeState gaze_now,
-                                            humotion::GazeState gaze_target,
-                                            unsigned int overblend_time);
+	humotion::GazeState soft_overblend_gaze(humotion::GazeState gaze_now, humotion::GazeState gaze_target,
+	                                        unsigned int overblend_time);
 
-    EmotionConfig emotion_config_current;
-    EmotionConfig emotion_config_default;
+	EmotionConfig emotion_config_current;
+	EmotionConfig emotion_config_default;
 
-    humotion::MouthState mouth_state;
-    humotion::GazeState gaze_state;
+	humotion::MouthState mouth_state;
+	humotion::GazeState gaze_state;
 
+	boost::posix_time::ptime gaze_state_end_time;
+	humotion::GazeState gaze_state_old;
+	bool gaze_state_animation_restart;
 
-    boost::posix_time::ptime gaze_state_end_time;
-    humotion::GazeState gaze_state_old;
-    bool gaze_state_animation_restart;
+	EmotionConfig* emotion_target;
 
-    EmotionConfig *emotion_target;
+	MouthConfig mouth_config;
 
-    MouthConfig mouth_config;
+	boost::shared_ptr<Utterance> utterance;
 
-    boost::shared_ptr<Utterance> utterance;
+	humotion::GazeState requested_gaze_state;
+	humotion::MouthState requested_mouth_state;
 
-    humotion::GazeState requested_gaze_state;
-    humotion::MouthState requested_mouth_state;
+	boost::mutex emotion_config_default_mutex;
+	boost::mutex emotion_config_current_mutex;
+	boost::mutex mouth_config_override_mutex;
+	boost::mutex utterance_mutex;
+	boost::mutex requested_gaze_state_mutex;
+	boost::mutex requested_mouth_state_mutex;
+	boost::mutex audio_player_mutex;
 
+	boost::mutex animation_mutex;
+	Animation active_animation;
 
-    boost::mutex emotion_config_default_mutex;
-    boost::mutex emotion_config_current_mutex;
-    boost::mutex mouth_config_override_mutex;
-    boost::mutex utterance_mutex;
-    boost::mutex requested_gaze_state_mutex;
-    boost::mutex requested_mouth_state_mutex;
-    boost::mutex audio_player_mutex;
+	typedef std::vector<boost::shared_ptr<Animation>> active_animation_vector_t;
+	boost::mutex active_animation_vector_mutex;
+	active_animation_vector_t active_animation_vector;
 
-    boost::mutex animation_mutex;
-    Animation active_animation;
-
-    typedef std::vector<boost::shared_ptr<Animation>> active_animation_vector_t;
-    boost::mutex active_animation_vector_mutex;
-    active_animation_vector_t active_animation_vector;
-
-
-    AudioPlayer *audio_player;
+	AudioPlayer* audio_player;
 };
-
-
diff --git a/server/include/AudioData.h b/server/include/AudioData.h
index 03abf3e..4a00584 100644
--- a/server/include/AudioData.h
+++ b/server/include/AudioData.h
@@ -1,55 +1,51 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <vector>
 #include <string>
 
-class AudioData{
+class AudioData {
 public:
-    AudioData(){};
-    ~AudioData(){};
+	AudioData(){};
+	~AudioData(){};
 
-    std::vector<char> samples;
-    unsigned int sample_bit;  //8, 16, 24 bits per sample
-    unsigned int sample_rate; //e.g. 44800hz
-    unsigned int sample_channels; //1= mono, 2=stereo etc
+	std::vector<char> samples;
+	unsigned int sample_bit;      // 8, 16, 24 bits per sample
+	unsigned int sample_rate;     // e.g. 44800hz
+	unsigned int sample_channels; // 1= mono, 2=stereo etc
 
-    bool sample_big_endian; //true = big endian, false=little endian
-    bool sample_signed;
+	bool sample_big_endian; // true = big endian, false=little endian
+	bool sample_signed;
 
-    std::string to_string(){
-        return "AudioData[ sample_size=" +
-                std::to_string(samples.size()) +
-                " " + std::to_string(sample_bit) + "bits " +
-                " " + std::to_string(sample_rate) + "hz " +
-                std::to_string(sample_channels) + "ch " +
-                (sample_signed?"SIGNED ":"UNSIGNED ") +
-                (sample_big_endian?"BIG ENDIAN ":"LITTLE ENDIAN ") + "]";
-    }
+	std::string to_string() {
+		return "AudioData[ sample_size=" + std::to_string(samples.size()) + " " + std::to_string(sample_bit) + "bits " + " " +
+		       std::to_string(sample_rate) + "hz " + std::to_string(sample_channels) + "ch " +
+		       (sample_signed ? "SIGNED " : "UNSIGNED ") + (sample_big_endian ? "BIG ENDIAN " : "LITTLE ENDIAN ") + "]";
+	}
 };
diff --git a/server/include/AudioPlayer.h b/server/include/AudioPlayer.h
index 0a43fea..a7e5386 100644
--- a/server/include/AudioPlayer.h
+++ b/server/include/AudioPlayer.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <string>
@@ -33,30 +33,29 @@
 #include <boost/shared_ptr.hpp>
 #include "AudioData.h"
 
-class AudioPlayer{
+class AudioPlayer {
 public:
+	AudioPlayer(std::string driver);
+	~AudioPlayer();
 
-    AudioPlayer(std::string driver);
-    ~AudioPlayer();
+	typedef enum
+	{
+		INITIALIZING = 0,
+		IDLE,
+		LOADING,
+		PLAYING,
+		ERROR,
+		EXITING,
+		CLOSED
+	} PLAYBACKSTATE_T;
 
-    typedef enum{
-        INITIALIZING=0,
-        IDLE,
-        LOADING,
-        PLAYING,
-        ERROR,
-        EXITING,
-        CLOSED
-    } PLAYBACKSTATE_T;
-
-    virtual void play(boost::shared_ptr<AudioData> audio) = 0;
-    bool is_playing();
+	virtual void play(boost::shared_ptr<AudioData> audio) = 0;
+	bool is_playing();
 
 protected:
-    boost::shared_ptr<AudioData> audio_data;
-    PLAYBACKSTATE_T playback_state;
-    std::string audio_driver;
-    bool playback_requested;
-    bool playback_active;
+	boost::shared_ptr<AudioData> audio_data;
+	PLAYBACKSTATE_T playback_state;
+	std::string audio_driver;
+	bool playback_requested;
+	bool playback_active;
 };
-
diff --git a/server/include/EmotionConfig.h b/server/include/EmotionConfig.h
index fcf6b96..d87dcf8 100644
--- a/server/include/EmotionConfig.h
+++ b/server/include/EmotionConfig.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <humotion/client/client.h>
@@ -32,50 +32,47 @@
 #include <boost/thread/thread_time.hpp>
 #include <boost/thread/thread.hpp>
 
-
-class EmotionConfig{
+class EmotionConfig {
 public:
+	typedef enum
+	{
+		NEUTRAL = 0,
+		HAPPY = 1,
+		SAD = 2,
+		ANGRY = 3,
+		SURPRISED = 4,
+		FEAR = 5
+	} EmotionType;
 
-    typedef enum{
-        NEUTRAL  = 0,
-        HAPPY    = 1,
-        SAD      = 2,
-        ANGRY    = 3,
-        SURPRISED = 4,
-        FEAR     = 5
-    } EmotionType;
-
+	EmotionConfig();
+	EmotionConfig(EmotionType e);
+	~EmotionConfig();
 
-    EmotionConfig();
-    EmotionConfig(EmotionType e);
-    ~EmotionConfig();
+	void set_duration(unsigned long ms);
 
-    void set_duration(unsigned long ms);
+	void select_config(EmotionType e);
 
-    void select_config(EmotionType e);
+	void init_neutral();
+	void init_happy();
+	void init_sad();
+	void init_angry();
+	void init_surprised();
+	void init_fear();
 
-    void init_neutral();
-    void init_happy();
-    void init_sad();
-    void init_angry();
-    void init_surprised();
-    void init_fear();
+	bool is_active();
 
-    bool is_active();
+	// override/influence the gaze state
+	// -> override neck angles (will be added to neck ptr)
+	// -> set eyelid opening (rel to moving eyeball)
+	// -> force eyebrows
+	humotion::GazeState gaze_override;
 
+	// override mouth
+	humotion::MouthState mouth_override;
 
-    //override/influence the gaze state
-    // -> override neck angles (will be added to neck ptr)
-    // -> set eyelid opening (rel to moving eyeball)
-    // -> force eyebrows
-    humotion::GazeState gaze_override;
+	// overblend time
+	unsigned int overblend_time_ms;
 
-    //override mouth
-    humotion::MouthState mouth_override;
-
-    //overblend time
-    unsigned int overblend_time_ms;
 private:
-    boost::system_time end_time;
+	boost::system_time end_time;
 };
-
diff --git a/server/include/MiddlewareROS.h b/server/include/MiddlewareROS.h
index 3b1e1c5..e351651 100644
--- a/server/include/MiddlewareROS.h
+++ b/server/include/MiddlewareROS.h
@@ -1,100 +1,101 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "Middleware.h"
 #ifdef ROS_SUPPORT
-    #include "ros/ros.h"
-    #include <actionlib/client/simple_action_client.h>
-    #include <tf2_ros/transform_listener.h>
+#include "ros/ros.h"
+#include <actionlib/client/simple_action_client.h>
+#include <tf2_ros/transform_listener.h>
 
-    //messages
-    #include "hlrc_server/phoneme.h"
-    #include "hlrc_server/soundchunk.h"
-    #include "hlrc_server/utterance.h"
-    //actions
-    #include "hlrc_server/gazetargetAction.h"
-    #include "hlrc_server/lookattargetAction.h"
-    #include "hlrc_server/ttsAction.h"
+// messages
+#include "hlrc_server/phoneme.h"
+#include "hlrc_server/soundchunk.h"
+#include "hlrc_server/utterance.h"
+// actions
+#include "hlrc_server/gazetargetAction.h"
+#include "hlrc_server/lookattargetAction.h"
+#include "hlrc_server/ttsAction.h"
 
-    #include "ROS/GazeCallbackWrapperROS.h"
-    #include "ROS/LookatCallbackWrapperROS.h"
-    #include "ROS/MouthCallbackWrapperROS.h"
-    #include "ROS/UtteranceCallbackWrapperROS.h"
-    #include "ROS/EmotionCallbackWrapperROS.h"
-    #include "ROS/AnimationCallbackWrapperROS.h"
-    #include "ROS/SpeechCallbackWrapperROS.h"
+#include "ROS/GazeCallbackWrapperROS.h"
+#include "ROS/LookatCallbackWrapperROS.h"
+#include "ROS/MouthCallbackWrapperROS.h"
+#include "ROS/UtteranceCallbackWrapperROS.h"
+#include "ROS/EmotionCallbackWrapperROS.h"
+#include "ROS/AnimationCallbackWrapperROS.h"
+#include "ROS/SpeechCallbackWrapperROS.h"
 #endif
 #include <boost/shared_ptr.hpp>
 
 #define ROS_ACTION_CALL_TIMEOUT 30.0
 
-class MiddlewareROS : public Middleware{
+class MiddlewareROS : public Middleware {
 #ifndef ROS_SUPPORT
 public:
-    MiddlewareROS(Arbiter *a, std::string _base_scope) : Middleware(a, _base_scope){
-        printf("> ERROR: hlrc was compiled without ROS middleware support. Please use MiddlewareRSB() instead!\n\n");
-        exit(EXIT_FAILURE);
-    }
+	MiddlewareROS(Arbiter* a, std::string _base_scope) : Middleware(a, _base_scope) {
+		printf("> ERROR: hlrc was compiled without ROS middleware support. Please use MiddlewareRSB() instead!\n\n");
+		exit(EXIT_FAILURE);
+	}
 
-    ~MiddlewareROS(){}
-    void init(){};
-    void tick(){};
+	~MiddlewareROS() {
+	}
+	void init(){};
+	void tick(){};
 
-    boost::shared_ptr<Utterance> tts_call(std::string text){
-        return boost::shared_ptr<Utterance>(new Utterance());
-    }
+	boost::shared_ptr<Utterance> tts_call(std::string text) {
+		return boost::shared_ptr<Utterance>(new Utterance());
+	}
 
 #else
 public:
-    MiddlewareROS(Arbiter *a, std::string _base_scope);
-    ~MiddlewareROS();
-    void init();
-    void tick();
-    boost::shared_ptr<Utterance> tts_call(std::string text);
+	MiddlewareROS(Arbiter* a, std::string _base_scope);
+	~MiddlewareROS();
+	void init();
+	void tick();
+	boost::shared_ptr<Utterance> tts_call(std::string text);
 
 private:
-    //boost::shared_ptr<ros::NodeHandle> node_handle;
-    ros::NodeHandle *ros_node_handle;
-    bool tick_necessary;
-    //listen to tf tree
-    tf2_ros::Buffer tfBuffer;
-    boost::shared_ptr<tf2_ros::TransformListener> tfListener;
+	// boost::shared_ptr<ros::NodeHandle> node_handle;
+	ros::NodeHandle* ros_node_handle;
+	bool tick_necessary;
+	// listen to tf tree
+	tf2_ros::Buffer tfBuffer;
+	boost::shared_ptr<tf2_ros::TransformListener> tfListener;
 
-    //FIXME: These pointers are never destroyed. Shouldn't they be shared_ptrs?
-    AnimationCallbackWrapper *animation_action_server;
-    UtteranceCallbackWrapper *utterance_action_server;
-    EmotionCallbackWrapper *current_emotion_action_server;
-    EmotionCallbackWrapper *default_emotion_action_server;
-    GazeCallbackWrapper *gaze_action_server;
-    LookatCallbackWrapper *lookat_action_server;
-    MouthCallbackWrapper *mouth_action_server;
-    SpeechCallbackWrapper *speech_action_server;
-    actionlib::SimpleActionClient<hlrc_server::ttsAction> *tts_ac;
+	// FIXME: These pointers are never destroyed. Shouldn't they be shared_ptrs?
+	AnimationCallbackWrapper* animation_action_server;
+	UtteranceCallbackWrapper* utterance_action_server;
+	EmotionCallbackWrapper* current_emotion_action_server;
+	EmotionCallbackWrapper* default_emotion_action_server;
+	GazeCallbackWrapper* gaze_action_server;
+	LookatCallbackWrapper* lookat_action_server;
+	MouthCallbackWrapper* mouth_action_server;
+	SpeechCallbackWrapper* speech_action_server;
+	actionlib::SimpleActionClient<hlrc_server::ttsAction>* tts_ac;
 #endif
 };
diff --git a/server/include/MiddlewareRSB.h b/server/include/MiddlewareRSB.h
index e8f86cb..3fb48c3 100644
--- a/server/include/MiddlewareRSB.h
+++ b/server/include/MiddlewareRSB.h
@@ -1,74 +1,71 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "Middleware.h"
 #ifdef RSB_SUPPORT
-    #define BOOST_SIGNALS_NO_DEPRECATION_WARNING 1
-    #include <rsb/Listener.h>
-    #include <rsb/patterns/LocalServer.h>
-    #include <rsb/patterns/RemoteServer.h>
+#define BOOST_SIGNALS_NO_DEPRECATION_WARNING 1
+#include <rsb/Listener.h>
+#include <rsb/patterns/LocalServer.h>
+#include <rsb/patterns/RemoteServer.h>
 #endif
 
-class MiddlewareRSB : public Middleware{
+class MiddlewareRSB : public Middleware {
 #ifndef RSB_SUPPORT
 public:
-    MiddlewareRSB(Arbiter *a, std::string _base_scope) : Middleware(a, _base_scope){
-        printf("> ERROR: hlrc was compiled without RSB middleware support. Please use MiddlewareROS() instead!\n\n");
-        exit(EXIT_FAILURE);
-    }
+	MiddlewareRSB(Arbiter* a, std::string _base_scope) : Middleware(a, _base_scope) {
+		printf("> ERROR: hlrc was compiled without RSB middleware support. Please use MiddlewareROS() instead!\n\n");
+		exit(EXIT_FAILURE);
+	}
 
-    ~MiddlewareRSB(){}
-    void init(){};
-    void tick(){};
-    boost::shared_ptr<Utterance> tts_call(std::string text){
-        return boost::shared_ptr<Utterance>(new Utterance());
-    }
+	~MiddlewareRSB() {
+	}
+	void init(){};
+	void tick(){};
+	boost::shared_ptr<Utterance> tts_call(std::string text) {
+		return boost::shared_ptr<Utterance>(new Utterance());
+	}
 
 #else
 public:
-    MiddlewareRSB(Arbiter *a, std::string _base_scope);
-    ~MiddlewareRSB();
-    void init();
-    void tick();
-    boost::shared_ptr<Utterance> tts_call(std::string text);
+	MiddlewareRSB(Arbiter* a, std::string _base_scope);
+	~MiddlewareRSB();
+	void init();
+	void tick();
+	boost::shared_ptr<Utterance> tts_call(std::string text);
 
 private:
-    void init_callbacks();
-    void init_callback(std::string name, rsb::patterns::LocalServer::CallbackPtr callback_ptr);
+	void init_callbacks();
+	void init_callback(std::string name, rsb::patterns::LocalServer::CallbackPtr callback_ptr);
 
-    rsb::patterns::LocalServerPtr server;
-    rsb::patterns::LocalServerPtr server_parallel;
-    rsb::patterns::RemoteServerPtr tts_server;
-    rsb::ListenerPtr speak_listener;
+	rsb::patterns::LocalServerPtr server;
+	rsb::patterns::LocalServerPtr server_parallel;
+	rsb::patterns::RemoteServerPtr tts_server;
+	rsb::ListenerPtr speak_listener;
 #endif
 };
-
-
-
-
